Subject: bug#55842: 29.0.50; Using shorthand syntax in keymap-global-set

From: Arash Esbati <[email-masked]>
Date: Fri, 10 Jun 2022 10:32:36 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> If you want to bind the C-<tab> key stroke, you have to specify it as
> such.

Thanks for your response.  This is what I had, so I just removed the
(kbd ...) around it.

> (key-valid-p "C-TAB") could signal an error to help lessen the
> confusion, I guess?

Wouldn't it be enough to return nil?

> (And C-RET and C-LFD.)  Anybody got an opinion here?

I think it should suffice to make `key-valid-p' return nil and adjust
its docstring to say there are 3 exceptions to the rule.

Best, Arash